# $Revision: 1.41 $, $Date: 2006/02/06 22:52:06 $
Summary:	Excellent tool for making visualization of data
Summary(pl):	Doskonae narzdzie do wizualizacji danych
Name:		dx
Version:	4.4.0
Release:	1
License:	IPL
Group:		Applications
Source0:	http://opendx.npaci.edu/source/%{name}-%{version}.tar.gz
# Source0-md5:	8fe6a09faea4aa713a1540f51371b719
Source1:	http://opendx.npaci.edu/source/%{name}samples-%{version}.tar.gz
# Source1-md5:	e8f43722ca0a66282608bded7c0e4f93
Source2:	%{name}.desktop
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-nolibs.patch
Patch2:		dxsamples-DESTDIR.patch
Patch3:		dxsamples-unused_bin.patch
URL:		http://www.opendx.org/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	OpenGL-devel-base
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	hdf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	libtiff-devel
BuildRequires:	motif-devel
BuildRequires:	netcdf-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on a standard interface environments. And its
sophisticated data model provides users with great flexibility in
creating visualizations.

%description -l pl
OpenDX jest w peni funkcjonalnym, o unikalnych moliwociach,
pakietem do wizualizacji danych naukowych, inynierskich i
analitycznych. Zosta zaprojektowany w sposb otwarty, w oparciu o
standardowe rodowiska interfejsw. Jego przemylany model danych
daje uytkownikom du elastyczno w tworzeniu wizualizacji.

%package libs
Summary:	OpenDX shared libraries
Summary(pl):	Biblioteki wspdzielone OpenDX
Group:		Libraries

%description libs
OpenDX shared libraries.

%description libs -l pl
Biblioteki wspdzielone OpenDX.

%package devel
Summary:	OpenDX development files
Summary(pl):	Pliki nagwkowe OpenDX
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
OpenDX development files.

%description devel -l pl
Pliki nagwkowe OpenDX oraz inne pliki, potrzebne do budowania.

%package static
Summary:	OpenDX static libraries
Summary(pl):	Biblioteki statyczne OpenDX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OpenDX static libraries.

%description static -l pl
Biblioteki statyczne OpenDX.

%package doc
Summary:	OpenDX documentation
Summary(pl):	Dokumentacja OpenDX
Group:		Documentation

%description doc
Online help and html documentation for OpenDX.

%description doc -l pl
Podrczna pomoc oraz dokumentacja html dla OpenDX.

%package examples
Summary:	OpenDX Examples
Summary(pl):	Przykady dla OpenDX
Group:		Documentation

%description examples
Examples for OpenDX.

%description examples -l pl
Przykady dla OpenDX.

%prep
%setup  -q -a 1
#%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--prefix=%{_datadir} \
	--enable-shared \
	--enable-static \
	--disable-dependency-tracking \
	--enable-smp-linux \
	--enable-new-keylayout \
	--without-javadx

cd %{name}samples-%{version}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--prefix=%{_examplesdir} \
	--without-javadx
cd ..

%{__make}

%{__make} -C %{name}samples-%{version}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C %{name}samples-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir},%{_mandir},%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install src/uipp/ui/icon50.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/dx.xpm
mv $RPM_BUILD_ROOT%{_datadir}/bin/dx $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/man/manl $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/include/* $RPM_BUILD_ROOT%{_includedir}
mv $RPM_BUILD_ROOT%{_datadir}/dx/lib_linux $RPM_BUILD_ROOT%{_libdir}/dx
mv $RPM_BUILD_ROOT%{_datadir}/dx/bin_linux $RPM_BUILD_ROOT%{_libdir}/dx
mv $RPM_BUILD_ROOT%{_examplesdir}/dx/samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
ln -s %{_libdir}/dx $RPM_BUILD_ROOT%{_datadir}/dx/lib_linux
ln -s %{_libdir}/dx/bin_linux $RPM_BUILD_ROOT%{_datadir}/dx
rm -rf $RPM_BUILD_ROOT%{_datadir}/{bin,dx/{bin/dx,man,include,doc}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/README*
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/dx
%attr(755,root,root) %{_datadir}/dx/bin
%{_datadir}/dx/bin_linux
%{_datadir}/dx/fonts
%{_datadir}/dx/lib
%{_datadir}/dx/lib_linux
%{_datadir}/dx/ui
%{_mandir}/manl/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/dx
%attr(755,root,root) %{_libdir}/dx/bin_linux
%attr(755,root,root) %{_libdir}/dx/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/dx/*.mak
%{_libdir}/dx/*.la
%{_libdir}/dx/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/dx/*.a

%files doc
%defattr(644,root,root,755)
%{_datadir}/dx/h*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dx.spec,v $
Revision 1.41  2006/02/06 22:52:06  maciek2w
- rel 1
- STBR

Revision 1.40  2006/02/05 14:43:27  maciek2w
- updated to 4.4.0
- fixed patchs

Revision 1.39  2006/02/04 15:39:20  qboosh
- simplified

Revision 1.38  2006/02/04 15:21:51  maciek2w
- fixed packing examples

Revision 1.37  2006/02/04 12:27:11  maciek2w
- packed examples
- rel. 9

Revision 1.36  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.35  2005/10/02 19:59:24  arekm
- rel 7

Revision 1.34  2005/05/06 13:43:35  gotar
- added desktop file

Revision 1.33  2004/12/10 23:23:58  ankry
- rel. 6

Revision 1.32  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.31  2004/07/08 12:27:49  qboosh
- files fix, release 5

Revision 1.30  2004/07/07 13:00:03  ankry
- rel. 4 to rebuild with openmotif-libs-2.2.3-2

Revision 1.29  2004/06/21 19:25:06  qboosh
- added ac version to BR

Revision 1.28  2004/06/21 18:59:13  qboosh
- added nolibs patch, rebuild without libexif dep; release 3

Revision 1.27  2003/11/16 10:23:13  gotar
- added static subpackage

Revision 1.26  2003/11/15 18:07:01  gotar
- everything in %{_docdir} is being marked as %doc, we don't
  want this, so move contents of doc subpackage back

Revision 1.25  2003/11/15 17:22:54  gotar
- reverted last change, added required symlink

Revision 1.24  2003/11/15 16:58:25  gotar
- added post(un) for libs subpackage

Revision 1.23  2003/11/15 16:52:15  gotar
- added some TODOs,
- BR: libjpeg-devel
- -fomit-frame-pointer on ia32

Revision 1.22  2003/11/15 15:59:51  gotar
- added missing BRs,
- switched from static to shared libraries,
- enabled SMP code and new keylayout,
- set prefix=%{_datadir}, need to set proper DXROOT by dx script;
  it could be done by fixing disabled DESTDIR patch,
- do not mess in %{_bindir}, put there only dx script, other
  executables are for internal use and require environment,
- put lib_linux as %{_libdir}/dx and bin_linux into it,
  make appropriate symlink to %{_datadir}/dx,
- moved back to original location $(prefix)/dx/lib dir,
- separated libs, devel and doc subpackages,
- added man page, typo, release 2.

Revision 1.21  2003/11/14 23:26:31  gotar
- BR: OpenGL-devel-base

Revision 1.20  2003/11/14 21:46:38  gotar
- upgraded to 4.3.2

Revision 1.19  2003/08/09 16:26:40  gotar
- upgraded to 4.3.0

Revision 1.18  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.17  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.14  2002/11/10 22:58:54  mmazur
- builds... needs polishing though

Revision 1.13  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/10/08 14:55:56  qboosh
- BR: autoconf,automake; moved making links from post to install

Revision 1.11  2002/07/16 22:48:22  dobrek
- Many thinks done. Almoust finished
- Needs a fresh look.
- Dirty hack with links is neccessary due to the
  comliicity of sources and a way it was design.
- For me it works. And is really cool.

Revision 1.10  2002/04/25 16:14:02  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/12 10:40:16  qboosh
- adapterized, pl description, fixes in %%files

Revision 1.5  2001/07/26 18:55:19  blues
- 4.1.3
- some work to make it working... but unsuccesfull (I've got terrible day)

Revision 1.4  2001/07/26 03:20:39  agaran
set group to aplications, removed empty %pre/post sections
needs some work.. maybe somebody who uses that could look at that?

Revision 1.3  2001/07/23 18:29:10  wiget
added acfix.patch

Revision 1.2  2000/12/06 02:38:52  agaran
Just passed trough adapter
